=== debian/changelog ===
endless-sky (0.8.11-1mx150+1) mx; urgency=medium

  * New release rebuilt for MX 15..

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 28 Jan 2016 15:02:15 -0800

endless-sky (0.8.11-1~getdeb1) trusty; urgency=medium

  * New upstream version
   * Bug fixes:
    * The new Pug mission is now offered on the proper planet.
    * Typo fixes. (@Pointedstick, @zwparchman)
    * Missions that take away one outfit and give another now always work
    properly.
    * Fixed a bug where escorts in mid-jump when you land end up far from the
    system center.
    * The game no longer hangs in the map if you shift-click an unreachable
    system.
    * Fixed a bug where you retain control of your flagship after it is
    captured.
    * If a target NPC dies, turrets no longer continue to fire in its
    direction.
    * Fixed a bug where reordering your ships was not changing your flagship.
    * If you land while an escort is your target, then park it, your target
    is now cleared.
    * Fixed the system coloring when you pop up the map from a conversation
    panel.
    * Main menu no longer freezes if you "enter ship" just as it finishes
    loading.
    * Planets with no star system defined for them will no longer crash the
    game.
   * Game content:
    * Added a mission string that gives you permission to buy most Wanderer
    ships.
    * Fixed an incorrect mass for the White Sun Reactor.
    * Fixed the price of the Wanderer Type 4 Thruster.
    * Alexandria Station can now be bribed, for players without a good
    Republic reputation.
    * More ship names (@Pointedstick).
    * The Wanderers now sell local maps.
    * Fixed some inaccurate ship descriptions.
    * Gave the Wanderer "Summer Leaf" ship a bit more cargo and outfit space.
    * Made the Southern Mutual Defense Pact missions get offered a bit more
    often.
    * Made Korath raids more frequent in one system so you can hunt them
    without save-scumming.
    * Fixed some jobs that had no maximum distance specified.
    * Fixed an annoying click in the jump drive sound effect.
   * Game mechanics:
    * Plundered ammo now reloads your weapons if you have the proper
    launcher.
    * Ships now recharge / refuel when you buy or sell outfits (e.g. fuel
    pods).
    * Ships with nowhere to flee to will now fight to the death instead of
    giving up.
    * Ships now clear their "ship to assist" order if they are captured.
   * User interface:
    * A system is now shown as dominated only if every inhabited planet is
    dominated.
    * The "fight current target" key can now order escorts to kill a disabled
    ship.
    * The data parser now reports unmatched quotation marks.

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Jan 2016 19:08:53 +0100

endless-sky (0.8.10-1~getdeb1) trusty; urgency=medium

  * New upstream version
      * Bug fixes:
        * Mouse clicks on the map are now correctly handled at all zoom
        levels.
        * Escorts now once again jump simultaneously with your ship.
        * Net worth is no longer clipped to the +-2 billion range in saved
        games.
        * Escorts that cannot jump will now ignore jump commands instead of
        lining up to jump.
        * Fixed a bug where the Water Bug had the wrong anti-missiles linked
        to its hardpoints.
        * Fixed some ship variants that had negative space available.
        * You can now bribe planets even if you have also provoked their
        government.
        * The outfitter panel's drawing code has been optimized to no longer
        max out the CPU.
        * The mission panel map is now colored by reputation by default,
        rather than uncolored.
        * Distances in the mission panel now show number of jumps, not amount
        of fuel.
        * In the outfitter, outfits are now shown if any selected ship has
        one, not just the first.
        * Human pirate "raids" no longer appear in alien star systems if you
        have many freighters.
      * Game content:
        * New species, the Wanderers (4 ship types, 18 outfits, 17 planets).
        * New missions involving the Hai and the Wanderers.
        * Increased the range of the small anti-missile by 50%.
        * Water cooling is now available in more places.
        * New hail messages. (@ph2000bis, @Pointedstick, @Thunderforge)
        * New commodity names. (@lehgogh, @Pointedstick)
        * New ship names. (@lehgogh)
        * Typo fixes. (@Pointedstick, @Wrzlprnft)
        * New job types. (@Pointedstick)
      * Game mechanics:
        * Projectiles now clear their target if that target is captured.
        * Governments now only scan you once per day, instead of once per
        ship.
        * Jobs are now allowed to have "on accept" dialogs or conversations.
        * Deadlines can now be specified in (base + multiplier * jumps)
        format.
        * Weapons can now specify that they split into submunitions when
        close to their target.
        * Shield and hull generators can now specify an extra energy cost per
        unit recharged.
        * Non-heroic ships no longer attack far away groups of ships that
        have them outgunned.
        * You can no longer hail other ships while you are entering
        hyperspace.
        * Surveillance ships no longer get "stuck" once they run out of fuel.
        * Missions can now specify "stopover" planets that you must visit.
        * Missions can have "on stopover" actions to perform when the last
        stopover is visited.
        * A government can now be marked as speaking a language that you may
        or may not know.
        * The hail panel commands now only work if you speak the language of
        a ship or planet.
        * Added support for "<?=" and ">?=" (min and max) condition
        operators.
        * Support for large stations / ringworlds with several different
        places you can land.

