=== debian/rules ===
#!/usr/bin/make -f

SCONS=scons

%:
	dh $@

override_dh_auto_build:
	$(SCONS)

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) -c

override_dh_auto_install:
	$(SCONS) install PREFIX=$(CURDIR)/debian/tmp/usr
