## endless-sky 0.9.8

=== SConstruct ===
--- 
+++ 
@@ -6,15 +6,37 @@
 	env.Append(CCFLAGS = os.environ['CCFLAGS'])
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
+if 'CPPFLAGS' in os.environ:
+	env.Append(CPPFLAGS = os.environ['CPPFLAGS'])
 if 'LDFLAGS' in os.environ:
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
+if 'CPPPATH' in os.environ:
+	env.Append(CPPPATH = os.environ['CPPPATH'])
+
 # The Steam runtime has an out-of-date libstdc++, so link it in statically:
 if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt' in os.environ['SCHROOT_CHROOT_NAME']:
 	env.Append(LINKFLAGS = ["-static-libstdc++"])
 
+opts = Variables()
+opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
+opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
+opts.Add(EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")))
+opts.Update(env)
+
+Help(opts.GenerateHelpText(env))
+
+flags = ["-std=c++11", "-Wall"]
+if env["mode"] != "debug":
+	flags += ["-O3"]
+if env["mode"] == "debug":
+	flags += ["-g"]
+if env["mode"] == "profile":
+	flags += ["-pg"]
+	env.Append(LINKFLAGS = ["-pg"])
+
 # Required build flags. If you want to use SSE optimization, you can turn on
 # -msse3 or (if just building for your own computer) -march=native.
-env.Append(CCFLAGS = ["-std=c++0x", "-O3", "-Wall"])
+env.Append(CCFLAGS = flags)
 env.Append(LIBS = [
 	"SDL2",
 	"png",
@@ -24,22 +46,23 @@
 	"openal",
 	"pthread"
 ]);
+# libmad is not in the Steam runtime, so link it statically:
+if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt_scout_i386' in os.environ['SCHROOT_CHROOT_NAME']:
+	env.Append(LIBS = File("/usr/lib/i386-linux-gnu/libmad.a"))
+elif 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt_scout_amd64' in os.environ['SCHROOT_CHROOT_NAME']:
+	env.Append(LIBS = File("/usr/lib/x86_64-linux-gnu/libmad.a"))
+else:
+	env.Append(LIBS = "mad")
+
 
 # Work with clang's static analyzer:
 env["CC"] = os.getenv("CC") or env["CC"]
 env["CXX"] = os.getenv("CXX") or env["CXX"]
 env["ENV"].update(x for x in os.environ.items() if x[0].startswith("CCC_"))
 
-opts = Variables()
-opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
-opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
-opts.Update(env)
+VariantDir("build/" + env["mode"], "source", duplicate = 0)
 
-Help(opts.GenerateHelpText(env))
-
-VariantDir("build", "source", duplicate = 0)
-
-sky = env.Program("endless-sky", Glob("build/*.cpp"))
+sky = env.Program("endless-sky", Glob("build/" + env["mode"] + "/*.cpp"))
 
 
 # Install the binary:
@@ -48,6 +71,9 @@
 # Install the desktop file:
 env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")
 
+# Install app center metadata:
+env.Install("$DESTDIR$PREFIX/share/appdata", "endless-sky.appdata.xml")
+
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
 sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "256x256"]
@@ -55,7 +81,7 @@
 for size in sizes:
 	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"
 	icons.append(destination)
-	env.InstallAs(destination, "endless-sky.iconset/icon_" + size + ".png")
+	env.InstallAs(destination, "icons/icon_" + size + ".png")
 
 # If any of those icons changed, also update the cache.
 # Do not update the cache if we're not installing into "usr".
