## endless-sky 0.9.9

=== debian/changelog ===
endless-sky (0.9.9-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 Jul 2019 15:13:34 -0700
