## endless-sky 0.9.10

=== SConstruct ===
--- 
+++ 
@@ -1,17 +1,11 @@
 import os
 
-# Load any environment variables that alter the build.
-env = Environment()
-if 'CCFLAGS' in os.environ:
-	env.Append(CCFLAGS = os.environ['CCFLAGS'])
+# Load environment variables, including some that should be renamed.
+env = Environment(ENV = os.environ)
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
-if 'CPPFLAGS' in os.environ:
-	env.Append(CPPFLAGS = os.environ['CPPFLAGS'])
 if 'LDFLAGS' in os.environ:
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
-if 'CPPPATH' in os.environ:
-	env.Append(CPPPATH = os.environ['CPPPATH'])
 
 # The Steam runtime has an out-of-date libstdc++, so link it in statically:
 if 'SCHROOT_CHROOT_NAME' in os.environ and 'steamrt' in os.environ['SCHROOT_CHROOT_NAME']:
@@ -21,6 +15,7 @@
 opts.Add(PathVariable("PREFIX", "Directory to install under", "/usr/local", PathVariable.PathIsDirCreate))
 opts.Add(PathVariable("DESTDIR", "Destination root directory", "", PathVariable.PathAccept))
 opts.Add(EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")))
+opts.Add(PathVariable("BUILDDIR", "Build directory", "build", PathVariable.PathIsDirCreate))
 opts.Update(env)
 
 Help(opts.GenerateHelpText(env))
@@ -55,14 +50,10 @@
 	env.Append(LIBS = "mad")
 
 
-# Work with clang's static analyzer:
-env["CC"] = os.getenv("CC") or env["CC"]
-env["CXX"] = os.getenv("CXX") or env["CXX"]
-env["ENV"].update(x for x in os.environ.items() if x[0].startswith("CCC_"))
+buildDirectory = env["BUILDDIR"] + "/" + env["mode"]
+VariantDir(buildDirectory, "source", duplicate = 0)
 
-VariantDir("build/" + env["mode"], "source", duplicate = 0)
-
-sky = env.Program("endless-sky", Glob("build/" + env["mode"] + "/*.cpp"))
+sky = env.Program("endless-sky", Glob(buildDirectory + "/*.cpp"))
 
 
 # Install the binary:
@@ -76,7 +67,7 @@
 
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
-sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "256x256"]
+sizes = ["16x16", "22x22", "24x24", "32x32", "48x48", "128x128", "256x256", "512x512"]
 icons = []
 for size in sizes:
 	destination = "$DESTDIR$PREFIX/share/icons/hicolor/" + size + "/apps/endless-sky.png"
