=== debian/changelog ===
endless-sky (0.9.10-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Oct 2019 07:24:05 -0700
