## endless-sky 0.9.11~prerelease

=== SConstruct ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Load environment variables, including some that should be renamed.
 env = Environment(ENV = os.environ)
+if 'CXX' in os.environ:
+	env['CXX'] = os.environ['CXX']
 if 'CXXFLAGS' in os.environ:
 	env.Append(CCFLAGS = os.environ['CXXFLAGS'])
 if 'LDFLAGS' in os.environ:
