=== debian/changelog ===
endless-sky (0.9.11~prerelease-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 24 Feb 2020 14:04:41 -0800
