=== debian/rules ===
#!/usr/bin/make -f

SCONS=scons

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
       PROCS=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       SCONS_OPTIONS += -j$(PROCS)
endif

%:
	dh $@

override_dh_auto_build:
	$(SCONS) $(SCONS_OPTIONS)

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS) -c

override_dh_auto_install:
	$(SCONS) install PREFIX=$(CURDIR)/debian/tmp/usr

override_dh_strip:
	dh_strip --no-automatic-dbgsym
