=== debian/changelog ===
endless-sky (0.9.12-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 May 2020 12:11:48 -0700
