=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.8
 Homepage: https://endless-sky.github.io
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 12),
  g++ (>=4.6),
  libgl1-mesa-dev,
  libglew-dev,
