=== debian/changelog ===
endless-sky (0.9.13-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 13:44:15 -0700
