## endless-sky 0.9.14

=== SConstruct ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# steamrt scons is v2.1.0
+# https://repo.steampowered.com/steamrt-images-scout/snapshots/latest-container-runtime-depot/com.valvesoftware.SteamRuntime.Sdk-amd64,i386-scout-sources.sources.txt
+# Documentation available at https://scons.org/doc/2.1.0/HTML/scons-user/a10706.html
 import os
 import platform
 from SCons.Node.FS import Dir
@@ -19,17 +22,10 @@
 	env.Append(LINKFLAGS = os.environ['LDFLAGS'])
 if 'AR' in os.environ:
 	env['AR'] = os.environ['AR']
-if 'RANLIB' in os.environ:
-	env['RANLIB'] = os.environ['RANLIB']
 if 'DIR_ESLIB' in os.environ:
 	path = os.environ['DIR_ESLIB']
 	env.Prepend(CPPPATH = [pathjoin(path, 'include')])
 	env.Append(LIBPATH = [pathjoin(path, 'lib')])
-
-# The Steam runtime has an out-of-date libstdc++, so link it in statically:
-chroot_name = os.environ.get('SCHROOT_CHROOT_NAME', '')
-if 'steamrt' in chroot_name:
-	env.Append(LINKFLAGS = ["-static-libstdc++"])
 
 # Don't spawn a console window by default on Windows builds.
 if is_windows_host:
@@ -60,10 +56,20 @@
 	flags += ["-pg"]
 	env.Append(LINKFLAGS = ["-pg"])
 env.Append(CCFLAGS = flags)
-# Omit emitting a symbol table when creating/updating static libraries, because Scons
-# will run ranlib. If we are using gcc-ranlib, assume support for thin archives as well.
-create_thin_archives = any(env.get(var, '').startswith('gcc') for var in ('AR', 'RANLIB'))
-env.Replace(ARFLAGS = 'rcST' if create_thin_archives else 'rcS')
+
+# Always use `ar` to create the symbol table, and don't use ranlib at all, since it fails to preserve
+# LTO information, even when passed the plugin path, when run in Steam's "Scout" runtime.
+env['RANLIBCOM'] = ''
+# TODO: can we derive thin archive support from the host system somehow? Or just always use it?
+create_thin_archives = env.get('AR', '').startswith('gcc')
+env.Replace(ARFLAGS = 'rcsT' if create_thin_archives else 'rcs')
+
+# The Steam runtime fails to correctly invoke the LTO plugin for gcc-5, so pass it explicitly
+chroot_name = os.environ.get('SCHROOT_CHROOT_NAME', '')
+if 'steamrt_scout' in chroot_name:
+	# MAYBE: read g++ version to determine correct path to the LTO plugin
+	plugin_path = '--plugin={}'.format(os.environ.get('LTO_PLUGIN_PATH', '/usr/lib/gcc/x86_64-linux-gnu/5/liblto_plugin.so'))
+	env.Append(ARFLAGS = [plugin_path])
 
 game_libs = [
 	"winmm",
@@ -107,7 +113,8 @@
 	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(pathjoin(str(dir_name), "*"))
 		if isinstance(sub_dir, Dir)]
 	# Add source files in this directory, except for main.cpp
-	matches += Glob(pathjoin(str(dir_name), pattern), exclude=["*/main.cpp"])
+	matches += Glob(pathjoin(str(dir_name), pattern))
+	matches = [i for i in matches if not "/main.cpp" in str(i)]
 	return matches
 
 # By default, invoking scons will build the backing archive file and then the game binary.
@@ -126,7 +133,7 @@
 VariantDir(testBuildDirectory, pathjoin("tests", "src"), duplicate = 0)
 test = env.Program(
 	target=pathjoin("tests", "endless-sky-tests"),
-	source=RecursiveGlob("test_*.cpp", testBuildDirectory) + sourceLib,
+	source=RecursiveGlob("*.cpp", testBuildDirectory) + sourceLib,
 	 # Add Catch header & additional test includes to the existing search paths
 	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'include')]),
 	# Do not link against the actual implementations of SDL, OpenGL, etc.
