=== debian/changelog ===
endless-sky (0.9.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Jul 2021 14:39:38 -0700
