## endless-sky 0.9.16.1

=== SConstruct ===
--- 
+++ 
@@ -1,9 +1,7 @@
-# steamrt scons is v2.1.0
-# https://repo.steampowered.com/steamrt-images-scout/snapshots/latest-container-runtime-depot/com.valvesoftware.SteamRuntime.Sdk-amd64,i386-scout-sources.sources.txt
-# Documentation available at https://scons.org/doc/2.1.0/HTML/scons-user/a10706.html
 import os
 import platform
 from SCons.Node.FS import Dir
+from SCons.Errors import SConsEnvironmentError
 
 def pathjoin(*args):
 	return os.path.join(*args)
@@ -12,7 +10,12 @@
 # If we are compiling on Windows, then we need to change the toolset to MinGW.
 is_windows_host = platform.system().startswith('Windows')
 scons_toolset = ['mingw' if is_windows_host else 'default']
-env = DefaultEnvironment(tools = scons_toolset, ENV = os.environ)
+env = DefaultEnvironment(tools = scons_toolset, ENV = os.environ, COMPILATIONDB_USE_ABSPATH=True)
+# If manually building within the Steam Runtime (scout), SCons will need to be invoked directly
+# with `python3.5`. Most other runtimes / build hosts will default to a newer version of python.
+env.EnsurePythonVersion(3, 5)
+# Make sure the current SCons version is at least v3.1.0; newer versions are allowed.
+env.EnsureSConsVersion(3, 1, 0)
 
 if 'CXX' in os.environ:
 	env['CXX'] = os.environ['CXX']
@@ -34,6 +37,7 @@
 opts = Variables()
 opts.AddVariables(
 	EnumVariable("mode", "Compilation mode", "release", allowed_values=("release", "debug", "profile")),
+	EnumVariable("opengl", "Whether to use OpenGL or OpenGL ES", "desktop", allowed_values=("desktop", "gles")),
 	PathVariable("BUILDDIR", "Directory to store compiled object files in", "build", PathVariable.PathIsDirCreate),
 	PathVariable("BIN_DIR", "Directory to store binaries in", ".", PathVariable.PathIsDirCreate),
 	PathVariable("DESTDIR", "Destination root directory, e.g. if building a package", "", PathVariable.PathAccept),
@@ -46,9 +50,9 @@
 #   $ CXXFLAGS=-msse3 scons
 #   $ CXXFLAGS=-march=native scons
 # or modify the `flags` variable:
-flags = ["-std=c++11", "-Wall", "-Werror", "-Wold-style-cast"]
+flags = ["-std=c++11", "-Wall", "-Wold-style-cast", "-fno-rtti"]
 if env["mode"] != "debug":
-	flags += ["-O3", "-flto"]
+	flags += ["-Werror", "-O3", "-flto"]
 	env.Append(LINKFLAGS = ["-O3", "-flto"])
 if env["mode"] == "debug":
 	flags += ["-g"]
@@ -70,6 +74,14 @@
 	# MAYBE: read g++ version to determine correct path to the LTO plugin
 	plugin_path = '--plugin={}'.format(os.environ.get('LTO_PLUGIN_PATH', '/usr/lib/gcc/x86_64-linux-gnu/5/liblto_plugin.so'))
 	env.Append(ARFLAGS = [plugin_path])
+
+# Required system libraries, such as UUID generator runtimes.
+sys_libs = [
+	"rpcrt4",
+] if is_windows_host else [
+	"uuid"
+]
+env.Append(LIBS = sys_libs)
 
 game_libs = [
 	"winmm",
@@ -80,18 +92,33 @@
 	"turbojpeg.dll",
 	"jpeg.dll",
 	"openal32.dll",
-	"glew32.dll",
-	"opengl32",
 ] if is_windows_host else [
 	"SDL2",
 	"png",
 	"jpeg",
-	"GL",
-	"GLEW",
 	"openal",
 	"pthread",
 ]
 env.Append(LIBS = game_libs)
+
+if env["opengl"] == "gles":
+	if is_windows_host:
+		print("OpenGL ES builds are not supported on Windows")
+		Exit(1)
+	env.Append(LIBS = [
+		"GLESv2",
+	])
+	env.Append(CCFLAGS = ["-DES_GLES"])
+elif is_windows_host:
+	env.Append(LIBS = [
+		"glew32.dll",
+		"opengl32",
+	])
+else:
+	env.Append(LIBS = [
+		"GL",
+		"GLEW",
+	])
 
 # libmad is not in the Steam runtime, so link it statically:
 if 'steamrt_scout_i386' in chroot_name:
@@ -105,21 +132,28 @@
 binDirectory = '' if env["BIN_DIR"] == '.' else pathjoin(env["BIN_DIR"], env["mode"])
 buildDirectory = pathjoin(env["BUILDDIR"], env["mode"])
 libDirectory = pathjoin("lib", env["mode"])
-VariantDir(buildDirectory, "source", duplicate = 0)
+env.VariantDir(buildDirectory, "source", duplicate = 0)
 
 # Find all regular source files.
 def RecursiveGlob(pattern, dir_name=buildDirectory):
 	# Start with source files in subdirectories.
-	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in Glob(pathjoin(str(dir_name), "*"))
+	matches = [RecursiveGlob(pattern, sub_dir) for sub_dir in env.Glob(pathjoin(str(dir_name), "*"))
 		if isinstance(sub_dir, Dir)]
 	# Add source files in this directory, except for main.cpp
-	matches += Glob(pathjoin(str(dir_name), pattern))
-	matches = [i for i in matches if not "/main.cpp" in str(i)]
+	matches += env.Glob(pathjoin(str(dir_name), pattern))
+	matches = [i for i in matches if not '{}main.cpp'.format(os.path.sep) in str(i)]
 	return matches
+
+try:
+    env.Tool('compilation_db')
+    env.Default(env.CompilationDatabase())
+# scons before 4.0.0 is used. In that case, simply don't provide a compilation database.
+except SConsEnvironmentError:
+    pass
 
 # By default, invoking scons will build the backing archive file and then the game binary.
 sourceLib = env.StaticLibrary(pathjoin(libDirectory, "endless-sky"), RecursiveGlob("*.cpp", buildDirectory))
-exeObjs = [Glob(pathjoin(buildDirectory, f)) for f in ("main.cpp",)]
+exeObjs = [env.Glob(pathjoin(buildDirectory, f)) for f in ("main.cpp",)]
 if is_windows_host:
 	windows_icon = env.RES(pathjoin(buildDirectory, "WinApp.rc"))
 	exeObjs.append(windows_icon)
@@ -129,15 +163,15 @@
 
 # The testing infrastructure ignores "mode" specification (i.e. we only test optimized output).
 # (If we add support for code coverage output, this will likely need to change.)
-testBuildDirectory = pathjoin("tests", env["BUILDDIR"])
-VariantDir(testBuildDirectory, pathjoin("tests", "src"), duplicate = 0)
+testBuildDirectory = pathjoin("tests", "unit", env["BUILDDIR"])
+env.VariantDir(testBuildDirectory, pathjoin("tests", "unit", "src"), duplicate = 0)
 test = env.Program(
-	target=pathjoin("tests", "endless-sky-tests"),
+	target=pathjoin("tests", "unit", "endless-sky-tests"),
 	source=RecursiveGlob("*.cpp", testBuildDirectory) + sourceLib,
-	 # Add Catch header & additional test includes to the existing search paths
-	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'include')]),
+	# Add Catch header & additional test includes to the existing search paths.
+	CPPPATH=(env.get('CPPPATH', []) + [pathjoin('tests', 'unit', 'include')]),
 	# Do not link against the actual implementations of SDL, OpenGL, etc.
-	LIBS=[],
+	LIBS=sys_libs,
 	# Pass the necessary link flags for a console program.
 	LINKFLAGS=[x for x in env.get('LINKFLAGS', []) if x not in ('-mwindows',)]
 )
@@ -163,7 +197,7 @@
 env.Install("$DESTDIR$PREFIX/share/applications", "endless-sky.desktop")
 
 # Install app center metadata:
-env.Install("$DESTDIR$PREFIX/share/appdata", "endless-sky.appdata.xml")
+env.Install("$DESTDIR$PREFIX/share/metainfo", "io.github.endless_sky.endless_sky.appdata.xml")
 
 # Install icons, keeping track of all the paths.
 # Most Ubuntu apps supply 16, 22, 24, 32, 48, and 256, and sometimes others.
