=== debian/changelog ===
endless-sky (0.9.16.1-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 May 2023 08:09:27 -0700

endless-sky (0.9.16.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 20:55:48 -0700

endless-sky (0.9.16.1-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 20:54:06 -0700

endless-sky (0.9.14-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Jul 2021 14:41:04 -0700

endless-sky (0.9.13-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Jul 2021 13:45:42 -0700
